Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
Lucene::FieldComparatorSource Class Referenceabstract

Provides a FieldComparator for custom field sorting. More...

`#include <FieldComparatorSource.h>`

Inheritance diagram for Lucene::FieldComparatorSource:

## Public Member Functions

virtual | ~FieldComparatorSource ()
virtual String | getClassName ()
boost::shared_ptr< FieldComparatorSource > | shared_from_this ()
virtual FieldComparatorPtr | newComparator (const String &fieldname, int32_t numHits, int32_t sortPos, bool reversed)=0
| Creates a comparator for the field in the given index. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Provides a FieldComparator for custom field sorting.

## Constructor & Destructor Documentation

virtual Lucene::FieldComparatorSource::~FieldComparatorSource | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::FieldComparatorSource::_getClassName | ( |  | ) |

inline static

virtual String Lucene::FieldComparatorSource::getClassName | ( |  | ) |

inline virtual

virtual FieldComparatorPtr Lucene::FieldComparatorSource::newComparator | ( | const String & | fieldname,
|  | int32_t | numHits,
|  | int32_t | sortPos,
|  | bool | reversed
| ) |  |

pure virtual

Creates a comparator for the field in the given index.

Parameters

  fieldname | Name of the field to create comparator for.

Returns
  FieldComparator.

boost::shared_ptr< FieldComparatorSource > Lucene::FieldComparatorSource::shared_from_this | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- FieldComparatorSource.h

clucene.sourceforge.net